package com.cool.store.mapper;

import com.cool.store.entity.AcceptanceInfoDO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface AcceptanceInfoMapper extends Mapper<AcceptanceInfoDO> {
    /**
     * @Auther: wangshuo
     * @Date: 2024/4/29
     * @description:三方验收g根据阶段状态 并且验收时间不为空
     */
    List<AcceptanceInfoDO> selectShopIdListBySignatures(@Param("subStage") Integer subStage,@Param("status") Integer status);
    /**
     * @Auther: wangshuo
     * @Date: 2024/5/13
     * @description:获取进场时间不为空的
     */
    List<AcceptanceInfoDO> selectListNotNullEntryTime();
    /**
     * @Auther: wangshuo
     * @Date: 2024/4/29
     * @description:根据shopID修改
     */
    Integer updateByShopIDSelective(AcceptanceInfoDO acceptanceInfoDO);

    AcceptanceInfoDO selectByShopId(@Param("shopId") Long shopId);

    List<AcceptanceInfoDO> selectByShopIds(@Param("shopIds") List<Long> shopIds);

    /**
     * @Auther: wangshuo
     * @Date: 2024/5/3
     * @description:查询进场时间为空的数据
     */
    List<AcceptanceInfoDO> selectByEntryTimeNull();
}